# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          openalchemist
Version:       0.4
Release:       alt1_13
Summary:       Free clone of naturalchimie (puzzle game)
License:       GPLv2+ and CC-BY-SA
Group:         Games/Puzzles
URL:           http://www.openalchemist.com
#Source:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz
# There's no tarball for version 0.4, it is only tagged in the repository
# svn export https://openalchemist.svn.sourceforge.net/svnroot/openalchemist/tags/0.4 openalchemist-0.4-src
Source:        %{name}-%{version}-src.tar.gz
Patch0:        openalchemist-0.4-cl23.patch
Patch1:        openalchemist-0.4-last-piece.patch
Patch2:        openalchemist-0.4-title-xml.patch
BuildRequires: pkgconfig(clanCore-2.3)
BuildRequires: libGL-devel
BuildRequires: zip
BuildRequires: libfreetype-devel
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(x11)
Requires:      python-module-pygtk
Source44: import.info

%description
OpenAlchemist is a new game project developed with C++ language and
Clanlib framework.
Our goal is to reimplement the game www.naturalchimie.com with free
softwares and with free licenses (GNU GPL for code and Creative
Commons for graphics).

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
autoreconf -fi
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make

%install
%makeinstall_std
install -d %{buildroot}{%{_datadir}/applications,%{_datadir}/pixmaps}
mv .desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
mv data/logo.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%files
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-config
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_13
- update by mgaimport

* Sat Apr 07 2018 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_12
- new version

